
/****** general ******/



button, input[type=text] { outline: none; }

/*.clear { clear: both }*/

[contenteditable=true]:empty:before {
  content: attr(placeholder);
  display: block; /* For Firefox */
}

/* */

/*.emotion { margin: 150px auto }*/

div[contenteditable=true] {
  width: 100%;
  max-height: 38px;
  height: auto;
  padding: 5px;
  overflow-y: auto;
  outline: none;
}

.emotion {
  position: relative;
  display: flex;
  width: 100%;
}

.emotion-Icon {
  right: 20px;
  top: 5px;
  cursor: pointer;
  margin-left: 1%;
  margin-right: 1%;
}

.ShowImotion { display: flex !important; }

.emotion-area {
  background-color: white; 
  box-shadow: 1px 1px 1px 1px #333;/*
  bottom: 130%;*/
  display: none;
  right: 0;
  width: 290px;
  flex-wrap: wrap;
  height: auto;
  margin-top: -163px;
  margin-right: -54px;
  position: absolute;
}

.emotion-area img {
  margin: 4px;
  cursor: pointer;
}

.image-upload
{
  margin-right: 1%; 
}

  .image-upload > input
{
    display: none;
}
.clip
{
    display: inline-flex;
    cursor: pointer;
    margin-top: 5px;
}
.emoji_icon
{
  margin-top: 10px;
  width: 20px;
  height: 20px;
}
/****** end general ******/
